Subject: bug#62975: 29.0.90; Forking processes on macOS has become very slow in Emacs 29

From: "M. Ian Graham" <[email-masked]>
Date: Sat, 22 Apr 2023 07:06:17 +0000

> Can someone else who uses Emacs 29 on macOS reproduce this regression
> in performance relative to Emacs 28?

I've observed the same general trend at the same general time but had trouble getting a clear handle on the difference.

Vague personal observations: I've noticed slowdown on macos (x86) but not linux in recent months, but in addition to moving emacs versions from v28 to master to v29 I've also changed installation methods from homebrew to nix+home-manager so that's a massive confounder.

Large loads of things like my org config, elfeed or magit seem sluggish now (often multiple seconds) where they were snappy before (sub-second), and my impression has been that either forking or I/O is much slower but I haven't done much narrowing. I'm unsure at present whether my own observations are due to emacs versions or nix/build/installation differences.

On magit specifically, I've followed the magit manual's advice re: the magit executable affecting perf (https://magit.vc/manual/magit/MacOS-Performance.html) but not seen significant changes there.

I just attempted to reproduce some difference via emacs -Q and a simple recipe, but haven't easily been able to see a signal. Below are my results for v28 vs v29, both installed via nix. I'm also slowly trying other installation methods with the same recipe to see if anything jumps out.

So far, v28 feels plenty slow too.

John: Any advice on recipe or setting changes that might get me closer to your results, or should I be seeing something as is? 

Cheers,
Ian

--- Timing summary ---

Emacs 28: Refreshing buffer ‘magit: emacs’...done (1.880s)
Emacs 29: Refreshing buffer ‘magit: emacs’...done (1.910s)

--- Recipe for emacs -Q ---

(require 'magit)
(message (emacs-version))
(magit-toggle-verbose-refresh)
(magit-status "~/git/emacs") ;; clean savannah master
(switch-to-buffer "*Messages*")

--- Nix setup ---

# using emacs-overlay to preinstall all packages
pkgs.emacsWithPackagesFromUsePackage {
  config = "";
  package = pkgs.emacs; # v28
  # package = pkgs.emacsUnstable; # v29
  alwaysEnsure = true;
  extraEmacsPackages = epkgs: with epkgs; [
    magit
    # snip. 100 or so other packages in here
  ];
}

--- Begin Emacs 28 details ---

Installation: nixpkgs 22.11, using pkgs.emacs

GNU Emacs 28.2 (build 1, x86_64-apple-darwin22.4.0, NS appkit-2299.50 Version 13.3 (Build 22E252))
Enabled verbose refreshing
Please type y, n, ! or i, or C-v/M-v to scroll: n [2 times]
Refreshing buffer ‘magit: emacs’...
  magit-insert-error-header                          0.000108 
  magit-insert-diff-filter-header                    4.8e-05 
  magit-insert-head-branch-header                    0.041727 !!
  magit-insert-upstream-branch-header                0.037297 !!
  magit-insert-push-branch-header                    0.000279 
  magit-insert-tags-header                           1.410307 !!
  magit-insert-status-headers                        1.510825 !!
  magit-insert-merge-log                             3.1e-05 
  magit-insert-rebase-sequence                       0.000988 
  magit-insert-am-sequence                           0.000245 
  magit-insert-sequencer-sequence                    7.6e-05 
  magit-insert-bisect-output                         0.000507 
  magit-insert-bisect-rest                           0.000223 
  magit-insert-bisect-log                            2.3e-05 
  magit-insert-untracked-files                       0.081601 !!
  magit-insert-unstaged-changes                      0.023426 !
  magit-insert-staged-changes                        0.039086 !!
  magit-insert-stashes                               0.018601 !
  magit-insert-unpushed-to-pushremote                0.000296 
  magit-insert-unpushed-to-upstream-or-recent        0.121099 !!
  magit-insert-unpulled-from-pushremote              0.000187 
  magit-insert-unpulled-from-upstream                0.023706 !
Refreshing buffer ‘magit: emacs’...done (1.880s)

-- magit-debug-git-executable --

magit-remote-git-executable: "git"
magit-git-executable: "/Users/ian/.nix-profile/bin/git" (2.38.4)
exec-path: ("/Users/ian/.nix-profile/bin" "/nix/var/nix/profiles/default/bin" "/Users/ian/.bin" "/usr/local/bin" "/System/Cryptexes/App/usr/bin" "/usr/bin" "/bin" "/usr/sbin" "/sbin" "/Library/Apple/usr/bin" "/nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/libexec/emacs/28.2/x86_64-apple-darwin22.4.0")
  /Users/ian/.nix-profile/bin (/nix/store/1p9130djcdq91cj685kn8qpmg9kj05ap-home-manager-path/bin)
    /Users/ian/.nix-profile/bin/git (2.38.4)
  /nix/var/nix/profiles/default/bin (/nix/store/1l14si31p4aw7c1gwgjy0nq55k38j9nj-nix-2.13.2/bin)
  /Users/ian/.bin (t)
  /usr/local/bin (t)
  /System/Cryptexes/App/usr/bin (t)
  /usr/bin (t)
    /usr/bin/git (2.38.4)
  /bin (t)
  /usr/sbin (t)
  /sbin (t)
  /Library/Apple/usr/bin (nil)
  /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/libexec/emacs/28.2/x86_64-apple-darwin22.4.0 (t)

-- report-emacs-bug --

In GNU Emacs 28.2 (build 1, x86_64-apple-darwin22.4.0, NS appkit-2299.50 Version 13.3 (Build 22E252))
Windowing system distributor 'Apple', version 10.3.2299
System Description:  macOS 13.2.1

Configured using:
 'configure
 --prefix=/nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2
 --disable-build-details --with-modules --with-ns
 --disable-ns-self-contained --with-native-compilation'

Configured features:
ACL GLIB GMP GNUTLS JPEG JSON LIBXML2 MODULES NATIVE_COMP NOTIFY KQUEUE
NS PDUMPER PNG RSVG THREADS TIFF TOOLKIT_SCROLL_BARS ZLIB

Important settings:
  value of $EMACSLOADPATH: /nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp:
  value of $EMACSNATIVELOADPATH: /nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/native-lisp::
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Messages

Minor modes in effect:
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/eat-0.8/eat hides /nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/eat-0.8/term/eat
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/transient-20230315.1520/transient hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/transient
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/xref-1.6.3/xref hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/progmodes/xref
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/project-0.9.8/project hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/progmodes/project
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-exp hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-exp
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-emacs-lisp hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-emacs-lisp
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/oc hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/oc
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-css hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-css
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-lob hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-lob
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-irc hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol-irc
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-forth hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-forth
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-macs hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-macs
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-version hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-version
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-scheme hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-scheme
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ox
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-C hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-C
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-capture hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-capture
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-ref hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-ref
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-clojure hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-clojure
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-mouse hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-mouse
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-ctags hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-ctags
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-entities hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-entities
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-archive hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-archive
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-screen hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-screen
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-bibtex hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol-bibtex
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-haskell hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-haskell
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-table hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-table
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-eww hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol-eww
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-man hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol-man
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-org hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ox-org
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-num hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-num
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-plot hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-plot
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-rmail hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol-rmail
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-awk hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-awk
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-groovy hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-groovy
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-octave hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-octave
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-faces hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-faces
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/oc-biblatex hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/oc-biblatex
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-colview hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-colview
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-R hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-R
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-refile hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-refile
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-timer hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-timer
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-mobile hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-mobile
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-fortran hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-fortran
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-shell hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-shell
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-perl hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-perl
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-sqlite hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-sqlite
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/oc-basic hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/oc-basic
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-sed hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-sed
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-list hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-list
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-ruby hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-ruby
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-eval hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-eval
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-habit hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-habit
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-clock hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-clock
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-goto hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-goto
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-html hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ox-html
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-src hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-src
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-lisp hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-lisp
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-eshell hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol-eshell
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-ditaa hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-ditaa
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-pcomplete hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-pcomplete
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-lint hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-lint
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-latex hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ox-latex
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-sass hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-sass
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-tangle hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-tangle
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-calc hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-calc
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-java hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-java
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-icalendar hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ox-icalendar
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-mhe hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol-mhe
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-attach-git hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-attach-git
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-md hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ox-md
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-beamer hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ox-beamer
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-element hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-element
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/oc-natbib hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/oc-natbib
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-protocol hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-protocol
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-gnuplot hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-gnuplot
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-tempo hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-tempo
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-latex hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-latex
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-w3m hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol-w3m
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-id hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-id
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-man hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ox-man
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-doi hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol-doi
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-feed hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-feed
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-julia hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-julia
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-lua hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-lua
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-table hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-table
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-ocaml hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-ocaml
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/oc-csl hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/oc-csl
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-gnus hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol-gnus
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-indent hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-indent
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-lilypond hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-lilypond
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-matlab hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-matlab
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-datetree hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-datetree
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-docview hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol-docview
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-python hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-python
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-makefile hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-makefile
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-duration hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-duration
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-agenda hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-agenda
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-dot hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-dot
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-js hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-js
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-publish hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ox-publish
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-inlinetask hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-inlinetask
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-org hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-org
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-keys hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-keys
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-core hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-core
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-compat hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-compat
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-odt hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ox-odt
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-info hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol-info
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-plantuml hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-plantuml
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-eshell hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-eshell
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-ascii hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ox-ascii
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-loaddefs hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-loaddefs
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-koma-letter hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ox-koma-letter
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-maxima hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-maxima
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-bbdb hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ol-bbdb
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-macro hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-macro
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-sql hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-sql
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-attach hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-attach
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-processing hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-processing
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-texinfo hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ox-texinfo
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-crypt hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-crypt
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-footnote hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/org-footnote
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-comint hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/org/ob-comint
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/let-alist-1.0.6/let-alist hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/emacs-lisp/let-alist
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/nadvice-0.4/nadvice hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/emacs-lisp/nadvice
/nix/store/4zv83fg4mphqwz3dy6cv9g6a56sas7b2-emacs-packages-deps/share/emacs/site-lisp/elpa/map-3.3.1/map hides /nix/store/yf6bx17rwyhr56x6q0alzvmm9jjbq06x-emacs-28.2/share/emacs/28.2/lisp/emacs-lisp/map

Features:
(shadow sort mail-extr emacsbug sendmail face-remap pcase
magit-submodule magit-blame magit-stash magit-reflog magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
package browse-url url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap url-handlers
url-parse url-vars magit-repos magit-apply magit-wip magit-log
which-func imenu magit-diff smerge-mode diff diff-mode git-commit
log-edit easy-mmode message rmc puny dired dired-loaddefs rfc822 mml
mml-sec epa derived epg rfc6068 epg-config gnus-util rmail
rmail-loaddefs auth-source password-cache json map text-property-search
time-date mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 mm-util ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils
mailheader pcvs-util add-log magit-core magit-autorevert autorevert
filenotify magit-margin magit-transient magit-process with-editor comp
comp-cstr warnings rx shell pcomplete comint ring server ansi-color
magit-mode transient cl-extra edmacro kmacro help-mode magit-git
magit-base magit-section cl-seq format-spec crm subr-x eieio eieio-core
cl-macs eieio-loaddefs dash compat compat-29 seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib iso-transl tooltip eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/ns-win ns-win ucs-normalize mule-util term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
isearch easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite emoji-zwj charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads kqueue
cocoa ns multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 174821 5026)
 (symbols 48 14045 0)
 (strings 32 46926 2395)
 (string-bytes 1 1663236)
 (vectors 16 34937)
 (vector-slots 8 609615 13600)
 (floats 8 75 195)
 (intervals 56 380 0)
 (buffers 992 14))

--- Begin Emacs 29 details ---

Installation: nixpkgs 22.11, using pkgs.emacsUnstable from emacs-overlay

GNU Emacs 29.0.90 (build 1, x86_64-apple-darwin22.3.0, NS appkit-2299.40 Version 13.2.1 (Build 22D68))
Enabled verbose refreshing
Refreshing buffer ‘magit: emacs’...
  magit-insert-error-header                          3e-06 
  magit-insert-diff-filter-header                    4.9e-05 
  magit-insert-head-branch-header                    0.041599 !!
  magit-insert-upstream-branch-header                0.038178 !!
  magit-insert-push-branch-header                    5.5e-05 
  magit-insert-tags-header                           1.446028 !!
  magit-insert-status-headers                        1.552908 !!
  magit-insert-merge-log                             3.8e-05 
  magit-insert-rebase-sequence                       4.2e-05 
  magit-insert-am-sequence                           1.8e-05 
  magit-insert-sequencer-sequence                    5.4e-05 
  magit-insert-bisect-output                         0.000269 
  magit-insert-bisect-rest                           0.000167 
  magit-insert-bisect-log                            1.9e-05 
  magit-insert-untracked-files                       0.085247 !!
  magit-insert-unstaged-changes                      0.024343 !
  magit-insert-staged-changes                        0.040669 !!
  magit-insert-stashes                               0.019814 !
  magit-insert-unpushed-to-pushremote                5.5e-05 
  magit-insert-unpushed-to-upstream-or-recent        0.123681 !!
  magit-insert-unpulled-from-pushremote              6e-06 
  magit-insert-unpulled-from-upstream                0.024372 !
Refreshing buffer ‘magit: emacs’...done (1.910s)

-- magit-debug-git-executable --

magit-remote-git-executable: "git"
magit-git-executable: "/Users/ian/.nix-profile/bin/git" (2.38.4)
exec-path: ("/Users/ian/.nix-profile/bin" "/nix/var/nix/profiles/default/bin" "/Users/ian/.bin" "/usr/local/bin" "/System/Cryptexes/App/usr/bin" "/usr/bin" "/bin" "/usr/sbin" "/sbin" "/Library/Apple/usr/bin" "/nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/libexec/emacs/29.0.90/x86_64-apple-darwin22.3.0")
  /Users/ian/.nix-profile/bin (/nix/store/88dvqpv23p8z8illicbrii45has629n9-home-manager-path/bin)
    /Users/ian/.nix-profile/bin/git (2.38.4)
  /nix/var/nix/profiles/default/bin (/nix/store/1l14si31p4aw7c1gwgjy0nq55k38j9nj-nix-2.13.2/bin)
  /Users/ian/.bin (t)
  /usr/local/bin (t)
  /System/Cryptexes/App/usr/bin (t)
  /usr/bin (t)
    /usr/bin/git (2.38.4)
  /bin (t)
  /usr/sbin (t)
  /sbin (t)
  /Library/Apple/usr/bin (nil)
  /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/libexec/emacs/29.0.90/x86_64-apple-darwin22.3.0 (t)

-- report-emacs-bug --

In GNU Emacs 29.0.90 (build 1, x86_64-apple-darwin22.3.0, NS
appkit-2299.40 Version 13.2.1 (Build 22D68))
Repository revision: emacs-29.0.90
Repository branch: master
Windowing system distributor 'Apple', version 10.3.2299
System Description:  macOS 13.2.1

Configured using:
 'configure
 --prefix=/nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90
 --disable-build-details --with-modules --with-ns
 --disable-ns-self-contained --with-native-compilation'

Configured features:
ACL GLIB GMP GNUTLS JPEG JSON LIBXML2 MODULES NATIVE_COMP NOTIFY KQUEUE
NS PDUMPER PNG RSVG SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER
WEBP ZLIB

Important settings:
  value of $EMACSLOADPATH: /nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp:
  value of $EMACSNATIVELOADPATH: /nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/native-lisp::
  value of $LC_ALL: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Messages

Minor modes in effect:
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  buffer-read-only: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: (only . t)
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/eat-0.8/eat hides /nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/eat-0.8/term/eat
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/transient-20230315.1520/transient hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/transient
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/xref-1.6.3/xref hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/progmodes/xref
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/project-0.9.8/project hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/progmodes/project
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-exp hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-exp
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-emacs-lisp hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-emacs-lisp
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/oc hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/oc
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-css hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-css
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-lob hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-lob
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-irc hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol-irc
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-forth hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-forth
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-macs hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-macs
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-version hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-version
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-scheme hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-scheme
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ox
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-C hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-C
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-capture hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-capture
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-ref hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-ref
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-clojure hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-clojure
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-mouse hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-mouse
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-persist hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-persist
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-ctags hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-ctags
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-entities hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-entities
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-archive hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-archive
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-screen hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-screen
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-bibtex hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol-bibtex
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-haskell hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-haskell
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-loaddefs hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-loaddefs
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-table hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-table
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-eww hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol-eww
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-man hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol-man
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-org hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ox-org
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-num hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-num
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-plot hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-plot
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-rmail hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol-rmail
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-awk hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-awk
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-groovy hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-groovy
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-octave hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-octave
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-faces hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-faces
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/oc-biblatex hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/oc-biblatex
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-colview hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-colview
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-R hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-R
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-refile hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-refile
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-timer hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-timer
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-mobile hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-mobile
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-fortran hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-fortran
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-shell hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-shell
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-perl hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-perl
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-sqlite hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-sqlite
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/oc-basic hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/oc-basic
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-sed hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-sed
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-list hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-list
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-ruby hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-ruby
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-eval hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-eval
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-habit hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-habit
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-clock hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-clock
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-goto hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-goto
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-html hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ox-html
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-src hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-src
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-lisp hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-lisp
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-eshell hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol-eshell
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-ditaa hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-ditaa
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-pcomplete hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-pcomplete
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-lint hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-lint
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-latex hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ox-latex
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-sass hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-sass
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-tangle hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-tangle
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-calc hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-calc
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-java hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-java
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-icalendar hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ox-icalendar
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-mhe hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol-mhe
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-attach-git hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-attach-git
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-md hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ox-md
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-beamer hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ox-beamer
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-element hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-element
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/oc-natbib hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/oc-natbib
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-protocol hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-protocol
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-gnuplot hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-gnuplot
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-tempo hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-tempo
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-latex hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-latex
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-w3m hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol-w3m
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-id hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-id
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-man hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ox-man
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-doi hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol-doi
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-feed hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-feed
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-fold-core hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-fold-core
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-julia hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-julia
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-lua hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-lua
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-table hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-table
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-ocaml hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-ocaml
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/oc-csl hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/oc-csl
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-gnus hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol-gnus
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-indent hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-indent
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-lilypond hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-lilypond
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-matlab hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-matlab
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-datetree hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-datetree
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-docview hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol-docview
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/oc-bibtex hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/oc-bibtex
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-python hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-python
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-makefile hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-makefile
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-duration hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-duration
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-agenda hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-agenda
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-dot hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-dot
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-js hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-js
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-publish hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ox-publish
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-inlinetask hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-inlinetask
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-org hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-org
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-keys hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-keys
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-core hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-core
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-compat hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-compat
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-odt hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ox-odt
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-info hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol-info
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-plantuml hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-plantuml
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-eshell hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-eshell
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-ascii hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ox-ascii
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-koma-letter hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ox-koma-letter
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-maxima hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-maxima
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ol-bbdb hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ol-bbdb
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-macro hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-macro
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-fold hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-fold
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-sql hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-sql
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-attach hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-attach
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-cycle hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-cycle
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-processing hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-processing
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ox-texinfo hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ox-texinfo
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-crypt hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-crypt
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/org-footnote hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/org-footnote
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/org-9.6.3/ob-comint hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/org/ob-comint
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/let-alist-1.0.6/let-alist hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/emacs-lisp/let-alist
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/nadvice-0.4/nadvice hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/emacs-lisp/nadvice
/nix/store/8ismrw26gzya4rxap3qnnvd45hj5ykvq-emacs-packages-deps/share/emacs/site-lisp/elpa/map-3.3.1/map hides /nix/store/l8a332qfbw460gb6y99dr4jqz2byvhqi-emacs-unstable-29.0.90/share/emacs/29.0.90/lisp/emacs-lisp/map

Features:
(shadow sort mail-extr emacsbug face-remap magit-autoloads pcase
magit-submodule magit-blame magit-stash magit-reflog magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
package browse-url url url-proxy url-privacy url-expand url-methods
url-history url-cookie generate-lisp-file url-domsuf url-util
url-handlers url-parse auth-source json map url-vars magit-repos
magit-apply magit-wip magit-log which-func imenu magit-diff smerge-mode
diff diff-mode easy-mmode git-commit log-edit message sendmail mailcap
yank-media puny dired dired-loaddefs rfc822 mml mml-sec password-cache
epa derived epg rfc6068 epg-config gnus-util text-property-search
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils mailheader
pcvs-util add-log magit-core magit-autorevert autorevert filenotify
magit-margin magit-transient magit-process with-editor shell pcomplete
comint ansi-osc ring server ansi-color magit-mode transient edmacro
kmacro magit-git magit-base magit-section format-spec crm eieio byte-opt
eieio-core dash compat time-date cl-loaddefs comp comp-cstr warnings
icons subr-x rx cl-seq cl-macs gv cl-extra help-mode bytecomp
byte-compile cl-lib rmc iso-transl tooltip cconv eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/ns-win ns-win ucs-normalize mule-util term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
isearch easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads kqueue cocoa ns multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 175961 10324)
 (symbols 48 13830 0)
 (strings 32 45662 3783)
 (string-bytes 1 1544494)
 (vectors 16 36388)
 (vector-slots 8 643651 15793)
 (floats 8 79 186)
 (intervals 56 384 0)
 (buffers 984 15))

------- Original Message -------
On Friday, April 21st, 2023 at 03:58, Eli Zaretskii <[email-masked]> wrote:

> 
> 
> > From: "John Wiegley" [email-masked]
> 
> > Date: Thu, 20 Apr 2023 11:41:24 -0700
> > 
> > I noticed after upgrading to 29.0.90 that Emacs felt very sluggish. I was able
> > to track this down to slow forking behavior, such as what happened in Emacs 26
> > days. As an example, I started with emacs -Q and then loaded magit and used it
> > to check for changes in one of my local repositories. These are the timings
> > for just hitting 'g':
> > 
> > 28.2 Refreshing magit...done (0.298s, cached 11/25 (44%))
> > 28.2-Macport Refreshing magit...done (0.140s, cached 6/16 (38%))
> > 29.0.90 Refreshing magit...done (1.495s, cached 11/25 (44%))
> > 
> > As you can see, with identical configuration (-Q) and the same Git project,
> > refreshing takes 7 times longer with Emacs 29 than it did with Emacs 28.
> 
> 
> Thanks.
> 
> Can someone else who uses Emacs 29 on macOS reproduce this regression
> in performance relative to Emacs 28?
>